Permalink
Browse files

Re-added gemspec

  • Loading branch information...
1 parent 5bcc562 commit 4dbb774af36442e62b0bce00d44e70e6b200a099 @davidakachaos davidakachaos committed Oct 10, 2017
Showing with 37 additions and 0 deletions.
  1. +37 −0 workless.gemspec
View
@@ -0,0 +1,37 @@
+# frozen_string_literal: true
+
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = 'workless'
+ s.version = '2.2.0'
+
+ s.required_rubygems_version = Gem::Requirement.new('>= 1.3.6') if s.respond_to? :required_rubygems_version=
+ s.authors = ['davidakachaos', 'lostboy']
+ s.date = '2017-10-10'
+ s.description = 'Extension to Delayed Job to enable workers to scale up when needed'
+ s.email = 'davidakachaos@gmail.com'
+
+ s.files = Dir.glob('{rails,lib}/**/*') + %w(LICENSE README.md )
+
+ s.homepage = 'http://github.com/lostboy/workless'
+ s.require_paths = ['lib']
+ s.summary = 'Use delayed job workers only when theyre needed on Heroku'
+
+ s.add_runtime_dependency('rails')
+ s.add_runtime_dependency('platform-api')
+ s.add_runtime_dependency('rush')
+ s.add_runtime_dependency('delayed_job', ['>= 2.0.7'])
+
+ s.required_ruby_version = '>= 2.2.4'
+
+ s.add_development_dependency('rspec')
+
+ s.post_install_message = %q{
+Workless 2.2.0 introduces a backwards-incompatible change!
+Please update your Heroku config to use WORKLESS_API_KEY instead of HEROKU_API_KEY!!
+}
+end

0 comments on commit 4dbb774

Please sign in to comment.